<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$can=mysqli_query($con,"SELECT MAX(mov_numero)as mov_numero FROM movimientos where empresa='$empresa'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$mov_numero=$dato['mov_numero']+1;
$can=mysqli_query($con,"SELECT MAX(mov_id)as mov_id  FROM movimientos ") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$mov_id=$dato['mov_id']+1;

$can=mysqli_query($con,"SELECT MAX(abo_numero)as abo_numero   FROM abono_adelantado ") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$abo_numero=$dato['abo_numero']+1;
$sql=mysqli_query($con, "SELECT cajas_caja_id, apertura, mca_estado from movimiento_caja where mca_usuario='$usu_id' and empresa='$empresa'  and sucursal='$sucursal' and mca_estado='1'");
$rowa=mysqli_fetch_array($sql);
$apertura=$rowa['apertura'];
$cajas_caja_id=$rowa['cajas_caja_id']; 

$fecha=date('Y-m-d H:i:s');
$ven_id=$_POST['ven_id'];
$detalle=$_POST['detalle'];
$clie_id=$_POST['clie_id'];
$saldo=$_POST['saldo'];
$valor=$_POST['valor'];

$forma_pago=$_POST['forma_pago'];
if($forma_pago=='efectivo')
{
    $medio_pago='Efectivo';
}
if($forma_pago=='transferencia')
{
    $medio_pago=$_POST['medio_pago'];
} 
if($forma_pago=='tarjeta')
{
   $medio_pago=$_POST['medio_pago'];
}

$sql2=mysqli_query($con, "SELECT * from cliente  where clie_id='$clie_id' and empresa='$empresa' ");
$sql2=mysqli_fetch_array($sql2);
$clie_disponible=$sql2['clie_disponible'];
$clie_nombre=$sql2['clie_nombre'];
$suma=$clie_disponible+$valor;
$registros=mysqli_query($con,"UPDATE cliente Set clie_disponible='$suma' Where clie_id='$clie_id'  and  empresa='$empresa'") or die(mysqli_error($con));

$regis=mysqli_query($con,"INSERT into venta_abonos (veab_abono,forma_pago,medio_pago,veab_fecha,mov_id,usuario,apertura,sucursal,empresa,ventas_ven_id)
          VALUES  ('$valor','$forma_pago','$medio_pago','$fecha','$mov_id','$usu_id','$apertura','$sucursal','$empresa','$ven_id')") or  die(mysqli_error($con));

$registros=mysqli_query($con,"INSERT into movimientos (mov_id,mov_caja,mov_apertura, mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 
          VALUES  ('$mov_id','$cajas_caja_id','$apertura','$mov_numero','$fecha','$usu_id','Abono cxc','$detalle','$valor','entrada','$forma_pago','$medio_pago','$sucursal','$empresa')") or  die(mysqli_error($con));  

/*$registros=mysqli_query($con,"INSERT into abono_adelantado (abo_clie_id,abo_numero,abo_clie_nombre, abo_fecha,abo_concepto,abo_valor,empresa,movimientos_mov_id) 
          VALUES  ('$clie_id','$abo_numero','$clie_nombre','$fecha','$detalle','$valor','$empresa','$mov_id')") or  die(mysqli_error($con));  
*/
 echo '<div class="alert alert-success alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Abono  </strong> correctamente
        </div>';
        
if($saldo==$valor)
  {
     $sql=mysqli_query($con,"UPDATE ventas Set
                           ven_estado ='pagada'
                            Where ven_id='$ven_id'") or  die(mysqli_error($con));?>
    <div id="abono" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="alert alert-info alert-dismissable">
                        <strong>La Venta  ha sido pagada completamente</strong> <a href="#" class="alert-link"></a>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Aceptar</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
            </div>
<?php   }   ?>